//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#ifndef ALIGNMENTMODELSUBTABLEADAPTOR_H
#define ALIGNMENTMODELSUBTABLEADAPTOR_H

#include "alignmentmodel.h"
#include "childtablemodel.h"
#include "gat-core_global.h"

class GATCORESHARED_EXPORT AlignmentPointsModel : public ChildTableModel
{
    Q_OBJECT
public:
    AlignmentPointsModel(QObject *parent = nullptr);

    QVariant headerData(int section, const Qt::Orientation orientation, int role = Qt::DisplayRole) const override;

};

#endif // ALIGNMENTMODELSUBTABLEADAPTOR_H
