#-------------------------------------------------
#
# Project created by QtCreator 2019-07-31T09:51:48
#
#-------------------------------------------------

QT       += sql widgets

#QT       -= gui
#gui is need for the alignment to draw the line.
#TODO: re-implament this so that this doesn't require gui

TARGET = gat-core
TEMPLATE = lib
CONFIG += lib c++11

DEFINES += GATCORE_LIBRARY

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
        alignment.cpp \
        alignmentdao.cpp \
        alignmentmodel.cpp \
        alignmentpoint.cpp \
        alignmentpointsmodel.cpp \
        childtablemodel.cpp \
        crosssection.cpp \
        crosssectiondao.cpp \
        crosssectionpointsmodel.cpp \
        fileutilities.cpp \
        gatcoordinatetransform.cpp \
        gatdatamanager.cpp \
        gatdatamanagerqmlplugin.cpp \
        gatlandxml.cpp \
        hydraulicparameters.cpp \
        hydraulicparametersmodel.cpp \
        longprofiledao.cpp \
        measurementpointmodel.cpp \
        point.cpp \
        pointdescriptionmodel.cpp \
        pointsdao.cpp \
        pointsmodel.cpp \
        profile.cpp \
        profilecalculator.cpp \
        profiledao.cpp \
        profilemeasurement.cpp \
        profilemeasurementtypes.cpp \
        profilemodel.cpp \
        profilepointsmodel.cpp \
        profileutilities.cpp \
        programdao.cpp \
        projectedpoint.cpp

HEADERS += \
        alignment.h \
        alignmentdao.h \
        alignmentmodel.h \
        alignmentpoint.h \
        alignmentpointsmodel.h \
        childtablemodel.h \
        crosssection.h \
        crosssectiondao.h \
        crosssectionpointsmodel.h \
        fileutilities.h \
        gatcoordinatetransform.h \
        gat-core_global.h  \
        gatdatamanager.h \
        gatdatamanagerqmlplugin.h \
        gatlandxml.h \
        hydraulicparameters.h \
        hydraulicparametersmodel.h \
        longprofiledao.h \
        measurementpointmodel.h \
        point.h \
        pointdescriptionmodel.h \
        pointsdao.h \
        pointsmodel.h \
        profile.h \
        profilecalculator.h \
        profiledao.h \
        profilemeasurement.h \
        profilemeasurementtypes.h \
        profilemodel.h \
        profilepointsmodel.h \
        profileutilities.h \
        programdao.h \
        projectedpoint.h

unix {
    target.path = /usr/lib
    INSTALLS += target
}
