#ifndef PROFILECALCULATOR_H
#define PROFILECALCULATOR_H

#include <memory>

#include <QModelIndex>
#include "alignmentmodel.h"

class GATCORESHARED_EXPORT ProfileCalculator
{
public:
    ProfileCalculator();
    std::unique_ptr<CrossSection> createProfilePointsAlignment(const QModelIndex& index, AlignmentModel *AlignmentModel,
                                           const QString pointFilters,
                                           const double tolerance);

private:
    GATDataManager & mDb;
};

#endif // PROFILECALCULATOR_H
