#-------------------------------------------------
#
# Project created by QtCreator 2019-07-31T09:56:38
#
#-------------------------------------------------

QT       += core gui widgets charts

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = gat-desktop
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

CONFIG += c++11

SOURCES += \
        alignmentgraphicsitem.cpp \
        alignmentlayer.cpp \
        alignmentlinegraphicsitem.cpp \
        backgroundimage.cpp \
        calculatehydraulicparametersdialog.cpp \
        checkboxitemdelegate.cpp \
        createprofiledialog.cpp \
        fileutilities.cpp \
        gatdataexport.cpp \
        gatplanview.cpp \
        gatplanviewscene.cpp \
        gatrubberband.cpp \
        gatscalebar.cpp \
        gattableview.cpp \
        graphicsviewwindow.cpp \
        importcsvfiledialog.cpp \
        main.cpp \
        mainwindow.cpp \
        measurementitemdelegate.cpp \
        mobilestyle.cpp \
        pointgraphicsitem.cpp \
        pointlayer.cpp \
        pointswidget.cpp \
        profilechartview.cpp \
        profilechartwidget.cpp \
        profileeditor.cpp

HEADERS += \
        about.h \
        alignmentgraphicsitem.h \
        alignmentlayer.h \
        alignmentlinegraphicsitem.h \
        backgroundimage.h \
        calculatehydraulicparametersdialog.h \
        checkboxitemdelegate.h \
        createprofiledialog.h \
        fileutilities.h \
        gatdataexport.h \
        gatplanview.h \
        gatplanviewscene.h \
        gatrubberband.h \
        gatscalebar.h \
        gattableview.h \
        graphicsviewwindow.h \
        importcsvfiledialog.h \
        mainwindow.h \
        measurementitemdelegate.h \
        mobilestyle.h \
        pointgraphicsitem.h \
        pointlayer.h \
        pointswidget.h \
        profilechartview.h \
        profilechartwidget.h \
        profileeditor.h

FORMS += \
        calculatehydraulicparametersdialog.ui \
        createprofiledialog.ui \
        mainwindow.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    icons.qrc \
    resources.qrc

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../gat-core/release/ -lgat-core
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../gat-core/debug/ -lgat-core
else:unix: LIBS += -L$$OUT_PWD/../gat-core/ -lgat-core

INCLUDEPATH += $$PWD/../gat-core
DEPENDPATH += $$PWD/../gat-core
