#include "measurementpointmodel.h"

MeasurementPointModel::MeasurementPointModel(QObject *parent) : ChildTableModel (parent)
{

}

QVariant MeasurementPointModel::headerData(int section, const Qt::Orientation orientation, int role) const
{
    if(role == Qt::DisplayRole){
        if(orientation == Qt::Horizontal){
            switch(section){
            case 0:
                return "Value";
            case 1:
                return "P1 X";
            case 2:
                return "P1 Y";
            case 3:
                return "P2 X";
            case 4:
                return "P2 Y";
            case 5:
                return "Type";
            default:
                return section;
            }
        }
        if(orientation == Qt::Vertical){
            return section;
        }
    }

    return QVariant();
}

int MeasurementPointModel::columnCount(const QModelIndex &parent) const
{
    Q_UNUSED(parent)
    return 6;
}
