#include "profilemeasurementtypes.h"


QString ProfileMeasurementTypes::getTypeName(const int type) const
{
    if(type >= 0 && type < GATProfileMeasurementType.size()){
        return GATProfileMeasurementType.at(type);
    }
    return "Invalid Type!";
}

int ProfileMeasurementTypes::measurementsCount() const
{
    return GATProfileMeasurementType.size();
}

int ProfileMeasurementTypes::getCalculationMethod(const int type) const
{
    if(type >= 0 && type < GATProfileeMeasurementCalcMethod.size()){
        return GATProfileeMeasurementCalcMethod.at(type);
    }
    return -9;
}
