#ifndef PROFILEUTILITIES_H
#define PROFILEUTILITIES_H

#include <QtCore>
#include "alignmentmodel.h"

namespace GAT
{
    double calculateDistanceSq(const QPointF, const QPointF);
    QPointF calculateIntersectPointLine(QLineF &, QPointF &);
    QPointF calculateIntersectPointCurve(QLineF &chord, QPointF &center, QPointF &point);
    qreal spanAngle(const QPointF & pointOne, const QPointF & pointTwo, const QPointF & center);


}

#endif // PROFILEUTILITIES_H
