#include "programdao.h"

#include <QSqlDatabase>
#include <QSqlQuery>
#include "gatdatamanager.h"

ProgramDao::ProgramDao(QSqlDatabase& database): mDatabase(database)
{

}
//20190509 Program Version 1 to 1.1
//Updated tables to include last modified datetime
void ProgramDao::init() const
{
    if(!mDatabase.tables().contains("program")){
        QSqlQuery query(mDatabase);
        query.exec("CREATE TABLE program (version REAL)");
        GATDataManager::debugQuery(query);
        query.exec("INSERT INTO program(version) VALUES (1.4)");
        GATDataManager::debugQuery(query);
    }

}
