#ifndef MEASUREMENTITEMDELEGATE_H
#define MEASUREMENTITEMDELEGATE_H

#include <QItemDelegate>
#include <QModelIndex>
#include "profilemeasurement.h"

class MeasurementItemDelegate : public QItemDelegate
{
    Q_OBJECT
public:
    explicit MeasurementItemDelegate(QObject *parent = nullptr);
    QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &option, const QModelIndex &index) const Q_DECL_OVERRIDE;
    void setEditorData(QWidget *editor, const QModelIndex &index) const Q_DECL_OVERRIDE;
    void setModelData(QWidget *editor, QAbstractItemModel *model, const QModelIndex &index) const Q_DECL_OVERRIDE;
    void updateEditorGeometry(QWidget *editor, const QStyleOptionViewItem &option, const QModelIndex &index) const Q_DECL_OVERRIDE;
    //bool editorEvent(QEvent *event, QAbstractItemModel *model, const QStyleOptionViewItem &option, const QModelIndex &index) override;
};

#endif // MEASUREMENTITEMDELEGATE_H
