#include "mobilestyle.h"

MobileStyle::MobileStyle():QProxyStyle()
{

}

//This makes the check boxes big enough to tap with your finger
int MobileStyle::pixelMetric(QStyle::PixelMetric whichMetric, const QStyleOption *option, const QWidget *widget) const
{

    switch(whichMetric){
    case PM_IndicatorWidth:
    case PM_IndicatorHeight:
    case PM_ExclusiveIndicatorWidth:
    case PM_ExclusiveIndicatorHeight:
        return 64;
    default:
        return QProxyStyle::pixelMetric(whichMetric, option, widget);
    }
}

